Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
ruby_missing.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | rb_define_copy_func(klass, func) rb_define_method((klass), "initialize_copy", (func), 1)
#define | FPTR_TO_FD(fptr) ((fptr)->fd)
#define | rb_io_t OpenFile

## Macro Definition Documentation

#define FPTR_TO_FD | ( |  | fptr) |  | ((fptr)->fd)

Definition at line 19 of file ruby_missing.h.

Referenced by ossl_obj2bio(), ossl_ssl_read_internal(), ossl_ssl_setup(), ossl_ssl_write_internal(), and ossl_start_ssl().

#define rb_define_copy_func | ( |  | klass,
|  |  | func
| ) |  | rb_define_method((klass), "initialize_copy", (func), 1)

Definition at line 14 of file ruby_missing.h.

Referenced by Init_ossl_bn(), Init_ossl_cipher(), Init_ossl_digest(), Init_ossl_hmac(), Init_ossl_pkcs7(), Init_ossl_x509cert(), Init_ossl_x509crl(), and Init_ossl_x509req().

#define rb_io_t OpenFile

Definition at line 25 of file ruby_missing.h.